package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class TbPlussMerchantSplitSetting implements Serializable {
    private Integer id;

    private String chiemerchantcode;

    private String chiemerchantid;

    private String isdivistion;

    private String divisionmode;

    private String divimerchantcode;

    private String divimerchantid;

    private BigDecimal divamt;

    private BigDecimal divratio;

    private String ischargefee;

    private Date createtime;

    private Integer status;

    private String notifyurl;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getChiemerchantcode() {
        return chiemerchantcode;
    }

    public void setChiemerchantcode(String chiemerchantcode) {
        this.chiemerchantcode = chiemerchantcode == null ? null : chiemerchantcode.trim();
    }

    public String getChiemerchantid() {
        return chiemerchantid;
    }

    public void setChiemerchantid(String chiemerchantid) {
        this.chiemerchantid = chiemerchantid == null ? null : chiemerchantid.trim();
    }

    public String getIsdivistion() {
        return isdivistion;
    }

    public void setIsdivistion(String isdivistion) {
        this.isdivistion = isdivistion == null ? null : isdivistion.trim();
    }

    public String getDivisionmode() {
        return divisionmode;
    }

    public void setDivisionmode(String divisionmode) {
        this.divisionmode = divisionmode == null ? null : divisionmode.trim();
    }

    public String getDivimerchantcode() {
        return divimerchantcode;
    }

    public void setDivimerchantcode(String divimerchantcode) {
        this.divimerchantcode = divimerchantcode == null ? null : divimerchantcode.trim();
    }

    public String getDivimerchantid() {
        return divimerchantid;
    }

    public void setDivimerchantid(String divimerchantid) {
        this.divimerchantid = divimerchantid == null ? null : divimerchantid.trim();
    }

    public BigDecimal getDivamt() {
        return divamt;
    }

    public void setDivamt(BigDecimal divamt) {
        this.divamt = divamt;
    }

    public BigDecimal getDivratio() {
        return divratio;
    }

    public void setDivratio(BigDecimal divratio) {
        this.divratio = divratio;
    }

    public String getIschargefee() {
        return ischargefee;
    }

    public void setIschargefee(String ischargefee) {
        this.ischargefee = ischargefee == null ? null : ischargefee.trim();
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getNotifyurl() {
        return notifyurl;
    }

    public void setNotifyurl(String notifyurl) {
        this.notifyurl = notifyurl == null ? null : notifyurl.trim();
    }
}